using System;

namespace MinimalniTrud
{
    class Program
    {
        static void Main(string[] args)
        {
            int drugiKrug, treciKrug;
            string[] ulaz = Console.ReadLine().Split();
            drugiKrug = int.Parse(ulaz[0]);
            treciKrug = int.Parse(ulaz[1]);


            int boljiKrug = drugiKrug;
            int minBodvaZaProlaz = 256;
            int prviKrug = 0;
            if (drugiKrug + treciKrug >= minBodvaZaProlaz)
            {
                Console.WriteLine(prviKrug);
            }
            else
            {
                if (treciKrug > boljiKrug)
                {
                    boljiKrug = treciKrug;
                }
                prviKrug = minBodvaZaProlaz - boljiKrug;
                Console.WriteLine(prviKrug);
            }

        }
    }
}